BAnner_wordpressa

¡Saludos!

Tenemos el placer de anunciaros la publicación de la versión 2.0 de WordPressa Security Plugin. En esta nueva versión hemos querido mejorar aquellos detalles que en estas primeras semanas de rodaje nos han puesto en conocimiento diversos administradores de WordPress. ¡Gracias por el FeedBack!

Dentro de estos pequeños detalles, que podemos considerar como cambios menores, nos encontramos con:

  • Cambio del nombre del path del plugin. Para seguir las directrices de WordPress hemos sustituido los espacios por guiones, y todo va en minúscula (en vez de ser “Wordpressa Security Plugin/Wordpressa Security Plugin.php” se renombra a “wordpressa-security-plugin/wordpressa-security-plugin.php).
  • Arreglo de un fallo visual al mostrar las tablas.
  • Cambio del formato de compresión: de .rar pasamos a .zip. De esta forma queremos facilitar la instalación de WordPressa Security Plugin, permitiendo realizarla desde el propio WordPress.
  • Se ha colocado un contador de días en la esquina superior derecha para poder conocer cuantos días quedan para que su licencia expire.
  • Permitir la configuración del lapso de tiempo entre los reportes por correo electrónico. Algunos administradores nos han comentado que recibir 1 email diario puede ser excesivo, por lo que hemos decidido establecer 3 periodos a elegir: 1 informe diario, semanal y cada medio mes. Esta configuración puede ser cambiada en cualquier momento desde el panel de WordPressa Security Plugin.
  •  Se permite la actualización directa de un plugin vulnerable si el desarrollador ha subido una versión más reciente a wordpress.org

Y ahora vienen los platos fuertes: detección de posibles themes vulnerables, realización de backups y “autoparcheado”.

DETECCIÓN DE THEMES VULNERABLES:

El siguiente paso lógico era generar una base de datos de themes vulnerables para poder complementar la de plugins, y así lo hemos hecho.

WordPressA Security Plugin podŕa detectar posibles themes vulnerables al igual que plugins. De esta forma el administrador podrá tener a mano esta información crucial.

AUTOPARCHEADO:

Ésta es sin duda la joya de la corona de esta nueva versión de WordPressa Security Plugin. ¿Qué diablos es eso del autoparcheado? ¡Estamos creando día a día un repositorio de plugins con las vulnerabilidades corregidas! De esta forma si posees un plugin con alguna vulnerabilidad conocida y el desarrollador tarda en sacar una nueva versión que las arregle, o simplemente ya abandonó ese proyecto, podrás descargarte la versión que tiene dichas vulnerabilidades corregidas desde nuestro repositorio como un .zip ¡Lo instalas como si del plugin normal se tratase y el problema queda solucionado!

En caso de que en nuestro repositorio tengamos la versión de ese plugin parcheada, te aparecerá un link junto al nombre del plugin para descargarla. ¡Fácil y sencillo!

¿Quieres probarlo?

Registro y Descarga –>  download

 wordpressa segurity plugin-cap2

Deja un comentario

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.